|  | Home · All Classes · Modules

# Qt.TextInteractionFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, TextInteractionFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- TextInteractionFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, TextInteractionFlags f)
- TextInteractionFlags __iand__ (self, int mask)
- int __int__ (self)
- TextInteractionFlags __invert__ (self)
- TextInteractionFlags __ior__ (self, TextInteractionFlags f)
- TextInteractionFlags __ixor__ (self, TextInteractionFlags f)
- bool __ne__ (self, TextInteractionFlags f)
- TextInteractionFlags __or__ (self, TextInteractionFlags f)
- TextInteractionFlags __xor__ (self, TextInteractionFlags f)

## Detailed Description

TextInteractionFlag may be used whenever TextInteractionFlags is expected.

## Method Documentation

### TextInteractionFlags.__init__ (self, TextInteractionFlags)

### TextInteractionFlags.__init__ (self, int)

### TextInteractionFlags.__init__ (self)

### TextInteractionFlags TextInteractionFlags.__and__ (self, int mask)

### int TextInteractionFlags.__bool__ (self)

### bool TextInteractionFlags.__eq__ (self, TextInteractionFlags f)

### TextInteractionFlags TextInteractionFlags.__iand__ (self, int mask)

### int TextInteractionFlags.__int__ (self)

### TextInteractionFlags TextInteractionFlags.__invert__ (self)

### TextInteractionFlags TextInteractionFlags.__ior__ (self, TextInteractionFlags f)

### TextInteractionFlags TextInteractionFlags.__ixor__ (self, TextInteractionFlags f)

### bool TextInteractionFlags.__ne__ (self, TextInteractionFlags f)

### TextInteractionFlags TextInteractionFlags.__or__ (self, TextInteractionFlags f)

### TextInteractionFlags TextInteractionFlags.__xor__ (self, TextInteractionFlags f)